Get settings
curl --request GET \
--url https://{host}/api/v1/settings \
--header 'X-Shopify-ApiKey: <api-key>' \
--header 'X-Shopify-Shop: <api-key>'const options = {
method: 'GET',
headers: {'X-Shopify-ApiKey': '<api-key>', 'X-Shopify-Shop': '<api-key>'}
};
fetch('https://{host}/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/settings"
headers = {
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)import Foundation
let url = URL(string: "https://{host}/api/v1/settings")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>"
]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://{host}/api/v1/settings")
.get()
.addHeader("X-Shopify-ApiKey", "<api-key>")
.addHeader("X-Shopify-Shop", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"data": {
"widgetSettings": {
"wishlistMode": "multiple",
"wishlistPerPage": 8,
"wishlistDetailItemsPerPage": 6,
"sharedByEmail": true,
"error_wishlist_name_already_exists": "A wishlist with this name already exists"
},
"featureSettings": {
"Wishlist_Page": true,
"Shared_Wishlist_Page": true,
"Guest_Wishlist": true
},
"plan": {
"id": "PRO",
"features": {
"guestWishlists": true,
"wishlistSharing": true,
"shareViaEmail": true,
"apiAccess": true
}
}
}
}{
"title": "Unauthenticated",
"status": 401,
"code": "UNAUTHENTICATED",
"message": "Invalid API Key",
"messageKey": null
}{
"title": "Guest disabled",
"status": 403,
"code": "GUEST_DISABLED",
"message": "Please log in to save items to your wishlist.",
"messageKey": "error_guest_login_required"
}{
"title": "Version retired",
"status": 410,
"code": "VERSION_RETIRED",
"message": "Please update the app to continue.",
"messageKey": "error_app_update_required"
}{
"title": "Rate limited",
"status": 429,
"code": "RATE_LIMITED",
"message": "Too many requests. Please try again in a minute.",
"messageKey": "error_too_many_requests"
}{
"title": "Internal error",
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Something went wrong. Please try again.",
"messageKey": "error_something_went_wrong"
}Settings
Get settings
Shop-level: needs only X-Shopify-ApiKey and X-Shopify-Shop. Customer/session headers are ignored.
GET
/
settings
Get settings
curl --request GET \
--url https://{host}/api/v1/settings \
--header 'X-Shopify-ApiKey: <api-key>' \
--header 'X-Shopify-Shop: <api-key>'const options = {
method: 'GET',
headers: {'X-Shopify-ApiKey': '<api-key>', 'X-Shopify-Shop': '<api-key>'}
};
fetch('https://{host}/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/settings"
headers = {
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)import Foundation
let url = URL(string: "https://{host}/api/v1/settings")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>"
]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://{host}/api/v1/settings")
.get()
.addHeader("X-Shopify-ApiKey", "<api-key>")
.addHeader("X-Shopify-Shop", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"data": {
"widgetSettings": {
"wishlistMode": "multiple",
"wishlistPerPage": 8,
"wishlistDetailItemsPerPage": 6,
"sharedByEmail": true,
"error_wishlist_name_already_exists": "A wishlist with this name already exists"
},
"featureSettings": {
"Wishlist_Page": true,
"Shared_Wishlist_Page": true,
"Guest_Wishlist": true
},
"plan": {
"id": "PRO",
"features": {
"guestWishlists": true,
"wishlistSharing": true,
"shareViaEmail": true,
"apiAccess": true
}
}
}
}{
"title": "Unauthenticated",
"status": 401,
"code": "UNAUTHENTICATED",
"message": "Invalid API Key",
"messageKey": null
}{
"title": "Guest disabled",
"status": 403,
"code": "GUEST_DISABLED",
"message": "Please log in to save items to your wishlist.",
"messageKey": "error_guest_login_required"
}{
"title": "Version retired",
"status": 410,
"code": "VERSION_RETIRED",
"message": "Please update the app to continue.",
"messageKey": "error_app_update_required"
}{
"title": "Rate limited",
"status": 429,
"code": "RATE_LIMITED",
"message": "Too many requests. Please try again in a minute.",
"messageKey": "error_too_many_requests"
}{
"title": "Internal error",
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Something went wrong. Please try again.",
"messageKey": "error_something_went_wrong"
}Authorizations
Store API key from Wishlist settings > API Settings.
The store's myshopify domain, e.g. your-store.myshopify.com.
Query Parameters
Applies widgetSettings.translations[locale] over the defaults.
Response
Settings